# publisher.rb

Path: | lib/rake/contrib/publisher.rb
Last Update: | Mon Jun 15 12:14:33 -0500 2009

Copyright 2003, 2004, 2005, 2006, 2007, 2008 by Jim Weirich (jim@weirichhouse.org) All rights reserved.

### Constants

HostInfo

=

Struct.new(:name, :webdir, :pkgdir)

Configuration information about an upload host system.

- name :: Name of host system.
- webdir :: Base directory for the web information for the

                application.  The application name (APP) is appended to
                this directory before using.

- pkgdir :: Directory on the host system where packages can be

                placed.

[Validate]